Index: libs/libmythtv/tv_play.cpp
===================================================================
--- libs/libmythtv/tv_play.cpp	(revision 16237)
+++ libs/libmythtv/tv_play.cpp	(working copy)
@@ -7629,7 +7629,12 @@
         item = new OSDGenericTree(treeMenu, tr("Jump to Program"));
         subitem = new OSDGenericTree(item, tr("Recorded Program"), "JUMPREC");
         if (lastProgram != NULL)
-            subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+            {
+                if (lastProgram->subtitle != "")
+                    subitem = new OSDGenericTree(item, QString("%1: %2").arg(lastProgram->title).arg(lastProgram->subtitle), "JUMPPREV");
+                else
+                    subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+            }
     }
 
     if (freeRecorders)
@@ -7747,7 +7752,12 @@
 
     subitem = new OSDGenericTree(item, tr("Recorded Program"), "JUMPREC");
     if (lastProgram != NULL)
-        subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+        {
+            if (lastProgram->subtitle != "")
+                subitem = new OSDGenericTree(item, QString("%1: %2").arg(lastProgram->title).arg(lastProgram->subtitle), "JUMPPREV");
+            else
+                subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+        }
 
     pbinfoLock.lock();
 
