Only in ../mythtv-0.21/libs/libmythtv: programinfo.cpp.orig
diff -U 2 -r ../mythtv-0.21.orig/libs/libmythtv/tv_play.cpp ../mythtv-0.21/libs/libmythtv/tv_play.cpp
--- ../mythtv-0.21.orig/libs/libmythtv/tv_play.cpp	2008-02-01 08:12:54.000000000 -0800
+++ ../mythtv-0.21/libs/libmythtv/tv_play.cpp	2008-02-09 23:11:47.955908202 -0800
@@ -7504,5 +7504,10 @@
         subitem = new OSDGenericTree(item, tr("Recorded Program"), "JUMPREC");
         if (lastProgram != NULL)
-            subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+            {
+                if (lastProgram->subtitle != "")
+                    subitem = new OSDGenericTree(item, QString("%1: %2").arg(lastProgram->title).arg(lastProgram->subtitle), "JUMPPREV");
+                else
+                    subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+            }
     }
 
@@ -7622,5 +7627,10 @@
     subitem = new OSDGenericTree(item, tr("Recorded Program"), "JUMPREC");
     if (lastProgram != NULL)
-        subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+        {
+            if (lastProgram->subtitle != "")
+                subitem = new OSDGenericTree(item, QString("%1: %2").arg(lastProgram->title).arg(lastProgram->subtitle), "JUMPPREV");
+            else
+                subitem = new OSDGenericTree(item, lastProgram->title, "JUMPPREV");
+        }
 
     pbinfoLock.lock();
Only in ../mythtv-0.21/libs/libmythtv: tv_play.cpp~
